import { EzScrollDirection } from './EzScrollDirection';
export declare class EzScroller {
  private _container;
  private _wrapper;
  private _controller;
  private _startHidden;
  private _endHidden;
  private _resizeObserver;
  private _shadowStart;
  private _shadowEnd;
  isActive: boolean;
  /**
   * Define a direção em que haverá scroll.
   */
  direction: EzScrollDirection;
  /**
   * Define se o `scroll` estará bloqueado.
   */
  locked: boolean;
  /**
   * Define se haverá efeito de sombreado.
   */
  activeShadow: boolean;
  private getContainerClass;
  private getWrapperClass;
  private finishDrag;
  private updateScroller;
  private updateShadow;
  private configResize;
  private getContainerElement;
  private isActiveScroller;
  clickListener(evt: MouseEvent): void;
  mouseDownHandler(evt: MouseEvent): void;
  mouseUpHandler(): void;
  mouseMoveHandler(evt: MouseEvent): void;
  componentDidRender(): void;
  render(): any;
}
